Page MenuHomePhabricator

Create "report" project in Phabricator (to potentially replace WMF monthly engineering reports)
Closed, ResolvedPublic

Description

Hi. As part of T24: Decide whether project reporting should be moved to Phabricator as well and related discussions, I'd like to create a #summary project.

I'm not sure yet how exactly it's going to be used (with a workboard, with a custom dashboard, with a feed, etc.) but it'll be used in some form to replace monthly engineering reports, and creating the project will make it much easier to experiment and determine the proper display for this.

Event Timeline

gpaumier created this task.Feb 3 2015, 7:53 PM
gpaumier raised the priority of this task from to Needs Triage.
gpaumier updated the task description. (Show Details)
gpaumier added a project: Project-Admins.
gpaumier added a subscriber: gpaumier.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 3 2015, 7:53 PM
gpaumier updated the task description. (Show Details)Feb 3 2015, 10:57 PM
gpaumier set Security to None.

Removing Project-creators tag until we figure out if this is what we need, as part of a wider discussion that also involves T88468: Create Phabricator project to track noteworthy changes.

gpaumier renamed this task from Create "Report" project to Create "summary" project.Feb 18 2015, 1:50 AM
gpaumier updated the task description. (Show Details)

Updating title and description following the discussion in T24: Decide whether project reporting should be moved to Phabricator as well.

Name:
Being afraid of confusion (also because it's not the most simple thing to find a project's description in Phab when you have a tag), wondering if #status-summary is also acceptable here.

Process:
Definitely needs very clear instructions as we can only tag tasks but not specific comments in tasks.

e.g. that epic task about rewriting underlying system XYZ that just received an edit to its task description or just got comment 64 added which contains a summary of recent achievements, probably should not receive that tag.

While a dedicated task with

  • summary = "2016-12-01" or "2016-12-monthly" (TODO: is more content wanted/needed in the summary already? Really depends on how you plan to view a list of these tasks, as a query result view would already list further associated projects)
  • and
  • description = "Last month we replace bar by foo" or "See T98765432#12345678" (TODO: is just linking to another comment or task acceptable or not?)
  • and
  • the associated tag = "#status-summary"
  • and
  • the associated tag = "#XYZ-Team" and/or "#XYZ-Rewrite"

should?

Aklapper renamed this task from Create "summary" project to Create "summary" project in Phabricator (to potentially replace WMF monthly engineering reports).Feb 19 2015, 12:04 PM
Aklapper triaged this task as Normal priority.
Qgil added a subscriber: Qgil.Feb 19 2015, 1:08 PM

I like this idea A LOT, but since the aim is to move the reports from mediawiki.org to Phabricator, why not having an explicit Report tag? "Summary" sounds too vague and passive. A report is a summary with a purpose, a public communication.

About when to use this tag, the recommendation could be:

  • If your project is running sprints, a Report is welcome at the end of the sprint.
  • If your project is not running sprints, then you might consider a monthly or quarterly cadence, depending on the activity of the project.

Being afraid of confusion (also because it's not the most simple thing to find a project's description in Phab when you have a tag), wondering if #status-summary is also acceptable here.

I like this idea A LOT, but since the aim is to move the reports from mediawiki.org to Phabricator, why not having an explicit Report tag? "Summary" sounds too vague and passive. A report is a summary with a purpose, a public communication.

My original proposal was to use #report but @Tbayer wasn't convinced and preferred #summary. I'm fine with whatever as long as we don't take forever to pick one :)

Definitely needs very clear instructions as we can only tag tasks but not specific comments in tasks.
e.g. that epic task about rewriting underlying system XYZ that just received an edit to its task description or just got comment 64 added which contains a summary of recent achievements, probably should not receive that tag.

Agreed. @bd808 proposed another approach in T24#1047982 but the more I think about it, the more I think that we should stick to the "1 update↔1 task" bijection.

  • If your project is running sprints, a Report is welcome at the end of the sprint.
  • If your project is not running sprints, then you might consider a monthly or quarterly cadence, depending on the activity of the project.

Sounds good to me. As I mentioned earlier, each team is free to choose the frequency.

My original proposal was to use #report but @Tbayer wasn't convinced and preferred #summary. I'm fine with whatever as long as we don't take forever to pick one :)

I may have misunderstood this part. Let's use #report then, since people are more used to that term.

I think this task is ready to go and the tag can now be created!

gpaumier renamed this task from Create "summary" project in Phabricator (to potentially replace WMF monthly engineering reports) to Create "report" project in Phabricator (to potentially replace WMF monthly engineering reports).Feb 20 2015, 7:18 PM
Elitre added a subscriber: Elitre.Feb 25 2015, 12:00 PM
gpaumier closed this task as Resolved.Feb 25 2015, 7:41 PM
gpaumier claimed this task.
gpaumier added a subscriber: Legoktm.

Done by @Legoktm. Thank you! We now have Report. I'll add some content and follow up.

My original proposal was to use #report but @Tbayer wasn't convinced and preferred #summary. I'm fine with whatever as long as we don't take forever to pick one :)

I may have misunderstood this part. Let's use #report then, since people are more used to that term.
I think this task is ready to go and the tag can now be created!

Yes, my point was rather that use of the tag should somehow carry the expectation that the team should not just tag a completed task as a "reporting level incident", but also add a brief summary text that provides some context. Otherwise it could become quite difficult for an uninvolved reader to get close to the level of understanding that the previous monthly reports / status updates provided. I understand @gpaumier will add some text to that effect to the description of the new project, now that it is live.

Qgil added a comment.Feb 27 2015, 8:17 AM

This wave of new tags (report, notice, roadmap... more?) should be documented somewhere at https://www.mediawiki.org/wiki/Phabricator/Project_management. I'm starting to feel a bit unsure/lost about what to use and when. I can be considered as a benchmark, this means that most of the target users of these tags will be even more unsure/lost.

gpaumier added a comment.EditedFeb 27 2015, 11:01 PM

@Qgil: T88468 is still open so things are still moving. I'll document the tags (in their description in Phabricator, and on the wiki) next week if possible.